1# GNUmakefile.in generated by automake 1.14.1 from GNUmakefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16VPATH = @srcdir@
17am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18am__make_running_with_option = \
19  case $${target_option-} in \
20      ?) ;; \
21      *) echo "am__make_running_with_option: internal error: invalid" \
22              "target option '$${target_option-}' specified" >&2; \
23         exit 1;; \
24  esac; \
25  has_opt=no; \
26  sane_makeflags=$$MAKEFLAGS; \
27  if $(am__is_gnu_make); then \
28    sane_makeflags=$$MFLAGS; \
29  else \
30    case $$MAKEFLAGS in \
31      *\\[\ \	]*) \
32        bs=\\; \
33        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
35    esac; \
36  fi; \
37  skip_next=no; \
38  strip_trailopt () \
39  { \
40    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41  }; \
42  for flg in $$sane_makeflags; do \
43    test $$skip_next = yes && { skip_next=no; continue; }; \
44    case $$flg in \
45      *=*|--*) continue;; \
46        -*I) strip_trailopt 'I'; skip_next=yes;; \
47      -*I?*) strip_trailopt 'I';; \
48        -*O) strip_trailopt 'O'; skip_next=yes;; \
49      -*O?*) strip_trailopt 'O';; \
50        -*l) strip_trailopt 'l'; skip_next=yes;; \
51      -*l?*) strip_trailopt 'l';; \
52      -[dEDm]) skip_next=yes;; \
53      -[JT]) skip_next=yes;; \
54    esac; \
55    case $$flg in \
56      *$$target_option*) has_opt=yes; break;; \
57    esac; \
58  done; \
59  test $$has_opt = yes
60am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
62pkgdatadir = $(datadir)/@PACKAGE@
63pkgincludedir = $(includedir)/@PACKAGE@
64pkglibdir = $(libdir)/@PACKAGE@
65pkglibexecdir = $(libexecdir)/@PACKAGE@
66am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
67install_sh_DATA = $(install_sh) -c -m 644
68install_sh_PROGRAM = $(install_sh) -c
69install_sh_SCRIPT = $(install_sh) -c
70INSTALL_HEADER = $(INSTALL_DATA)
71transform = $(program_transform_name)
72NORMAL_INSTALL = :
73PRE_INSTALL = :
74POST_INSTALL = :
75NORMAL_UNINSTALL = :
76PRE_UNINSTALL = :
77POST_UNINSTALL = :
78@WITH_LIBESTDRAFT_TRUE@am__append_1 = libestdraft
79subdir = .
80DIST_COMMON = $(srcdir)/GNUmakefile.in $(srcdir)/GNUmakefile.am \
81	$(top_srcdir)/configure $(am__configure_deps) \
82	$(srcdir)/config.h.in compile depcomp install-sh missing \
83	ylwrap
84ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
85am__aclocal_m4_deps = $(top_srcdir)/configure.ac
86am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
87	$(ACLOCAL_M4)
88am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
89 configure.lineno config.status.lineno
90mkinstalldirs = $(install_sh) -d
91CONFIG_HEADER = config.h
92CONFIG_CLEAN_FILES =
93CONFIG_CLEAN_VPATH_FILES =
94AM_V_P = $(am__v_P_@AM_V@)
95am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
96am__v_P_0 = false
97am__v_P_1 = :
98AM_V_GEN = $(am__v_GEN_@AM_V@)
99am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
100am__v_GEN_0 = @echo "  GEN     " $@;
101am__v_GEN_1 =
102AM_V_at = $(am__v_at_@AM_V@)
103am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
104am__v_at_0 = @
105am__v_at_1 =
106SOURCES =
107DIST_SOURCES =
108RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
109	ctags-recursive dvi-recursive html-recursive info-recursive \
110	install-data-recursive install-dvi-recursive \
111	install-exec-recursive install-html-recursive \
112	install-info-recursive install-pdf-recursive \
113	install-ps-recursive install-recursive installcheck-recursive \
114	installdirs-recursive pdf-recursive ps-recursive \
115	tags-recursive uninstall-recursive
116am__can_run_installinfo = \
117  case $$AM_UPDATE_INFO_DIR in \
118    n|no|NO) false;; \
119    *) (install-info --version) >/dev/null 2>&1;; \
120  esac
121RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
122  distclean-recursive maintainer-clean-recursive
123am__recursive_targets = \
124  $(RECURSIVE_TARGETS) \
125  $(RECURSIVE_CLEAN_TARGETS) \
126  $(am__extra_recursive_targets)
127AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
128	cscope distdir dist dist-all distcheck
129am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
130	$(LISP)config.h.in
131# Read a list of newline-separated strings from the standard input,
132# and print each of them once, without duplicates.  Input order is
133# *not* preserved.
134am__uniquify_input = $(AWK) '\
135  BEGIN { nonempty = 0; } \
136  { items[$$0] = 1; nonempty = 1; } \
137  END { if (nonempty) { for (i in items) print i; }; } \
138'
139# Make sure the list of sources is unique.  This is necessary because,
140# e.g., the same source file might be shared among _SOURCES variables
141# for different programs/libraries.
142am__define_uniq_tagged_files = \
143  list='$(am__tagged_files)'; \
144  unique=`for i in $$list; do \
145    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
146  done | $(am__uniquify_input)`
147ETAGS = etags
148CTAGS = ctags
149CSCOPE = cscope
150DIST_SUBDIRS = replace libestdraft mailestd
151DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
152distdir = $(PACKAGE)-$(VERSION)
153top_distdir = $(distdir)
154am__remove_distdir = \
155  if test -d "$(distdir)"; then \
156    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
157      && rm -rf "$(distdir)" \
158      || { sleep 5 && rm -rf "$(distdir)"; }; \
159  else :; fi
160am__post_remove_distdir = $(am__remove_distdir)
161am__relativize = \
162  dir0=`pwd`; \
163  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
164  sed_rest='s,^[^/]*/*,,'; \
165  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
166  sed_butlast='s,/*[^/]*$$,,'; \
167  while test -n "$$dir1"; do \
168    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
169    if test "$$first" != "."; then \
170      if test "$$first" = ".."; then \
171        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
172        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
173      else \
174        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
175        if test "$$first2" = "$$first"; then \
176          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
177        else \
178          dir2="../$$dir2"; \
179        fi; \
180        dir0="$$dir0"/"$$first"; \
181      fi; \
182    fi; \
183    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
184  done; \
185  reldir="$$dir2"
186DIST_ARCHIVES = $(distdir).tar.gz
187GZIP_ENV = --best
188DIST_TARGETS = dist-gzip
189distuninstallcheck_listfiles = find . -type f -print
190am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
191  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
192distcleancheck_listfiles = find . -type f -print
193ACLOCAL = @ACLOCAL@
194AMTAR = @AMTAR@
195AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
196AUTOCONF = @AUTOCONF@
197AUTOHEADER = @AUTOHEADER@
198AUTOMAKE = @AUTOMAKE@
199AWK = @AWK@
200CC = @CC@
201CCDEPMODE = @CCDEPMODE@
202CFLAGS = @CFLAGS@
203CPP = @CPP@
204CPPFLAGS = @CPPFLAGS@
205CYGPATH_W = @CYGPATH_W@
206DEFS = @DEFS@
207DEPDIR = @DEPDIR@
208ECHO_C = @ECHO_C@
209ECHO_N = @ECHO_N@
210ECHO_T = @ECHO_T@
211EGREP = @EGREP@
212EXEEXT = @EXEEXT@
213GREP = @GREP@
214INSTALL = @INSTALL@
215INSTALL_DATA = @INSTALL_DATA@
216INSTALL_PROGRAM = @INSTALL_PROGRAM@
217INSTALL_SCRIPT = @INSTALL_SCRIPT@
218INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
219LDFLAGS = @LDFLAGS@
220LIBOBJS = @LIBOBJS@
221LIBS = @LIBS@
222LTLIBOBJS = @LTLIBOBJS@
223MAINT = @MAINT@
224MAKEINFO = @MAKEINFO@
225MKDIR_P = @MKDIR_P@
226OBJEXT = @OBJEXT@
227PACKAGE = @PACKAGE@
228PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
229PACKAGE_NAME = @PACKAGE_NAME@
230PACKAGE_STRING = @PACKAGE_STRING@
231PACKAGE_TARNAME = @PACKAGE_TARNAME@
232PACKAGE_URL = @PACKAGE_URL@
233PACKAGE_VERSION = @PACKAGE_VERSION@
234PATH_SEPARATOR = @PATH_SEPARATOR@
235RANLIB = @RANLIB@
236SET_MAKE = @SET_MAKE@
237SHELL = @SHELL@
238STRIP = @STRIP@
239VERSION = @VERSION@
240YACC = @YACC@
241YFLAGS = @YFLAGS@
242abs_builddir = @abs_builddir@
243abs_srcdir = @abs_srcdir@
244abs_top_builddir = @abs_top_builddir@
245abs_top_srcdir = @abs_top_srcdir@
246ac_ct_CC = @ac_ct_CC@
247am__include = @am__include@
248am__leading_dot = @am__leading_dot@
249am__quote = @am__quote@
250am__tar = @am__tar@
251am__untar = @am__untar@
252bindir = @bindir@
253build_alias = @build_alias@
254builddir = @builddir@
255datadir = @datadir@
256datarootdir = @datarootdir@
257docdir = @docdir@
258dvidir = @dvidir@
259exec_prefix = @exec_prefix@
260host_alias = @host_alias@
261htmldir = @htmldir@
262includedir = @includedir@
263infodir = @infodir@
264install_sh = @install_sh@
265libdir = @libdir@
266libexecdir = @libexecdir@
267localedir = @localedir@
268localstatedir = @localstatedir@
269mandir = @mandir@
270mkdir_p = @mkdir_p@
271oldincludedir = @oldincludedir@
272pdfdir = @pdfdir@
273prefix = @prefix@
274program_transform_name = @program_transform_name@
275psdir = @psdir@
276sbindir = @sbindir@
277sharedstatedir = @sharedstatedir@
278srcdir = @srcdir@
279sysconfdir = @sysconfdir@
280target_alias = @target_alias@
281top_build_prefix = @top_build_prefix@
282top_builddir = @top_builddir@
283top_srcdir = @top_srcdir@
284SUBDIRS = replace $(am__append_1) mailestd
285EXTRA_DIST = README.md Makefile Makefile.inc libestdraft/Makefile \
286	mailestd/Makefile compat.h mailestd.conf
287all: config.h
288	$(MAKE) $(AM_MAKEFLAGS) all-recursive
289
290.SUFFIXES:
291am--refresh: GNUmakefile
292	@:
293$(srcdir)/GNUmakefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/GNUmakefile.am  $(am__configure_deps)
294	@for dep in $?; do \
295	  case '$(am__configure_deps)' in \
296	    *$$dep*) \
297	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
298	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
299		&& exit 0; \
300	      exit 1;; \
301	  esac; \
302	done; \
303	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign GNUmakefile'; \
304	$(am__cd) $(top_srcdir) && \
305	  $(AUTOMAKE) --foreign GNUmakefile
306.PRECIOUS: GNUmakefile
307GNUmakefile: $(srcdir)/GNUmakefile.in $(top_builddir)/config.status
308	@case '$?' in \
309	  *config.status*) \
310	    echo ' $(SHELL) ./config.status'; \
311	    $(SHELL) ./config.status;; \
312	  *) \
313	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
314	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
315	esac;
316
317$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
318	$(SHELL) ./config.status --recheck
319
320$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
321	$(am__cd) $(srcdir) && $(AUTOCONF)
322$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
323	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
324$(am__aclocal_m4_deps):
325
326config.h: stamp-h1
327	@test -f $@ || rm -f stamp-h1
328	@test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
329
330stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
331	@rm -f stamp-h1
332	cd $(top_builddir) && $(SHELL) ./config.status config.h
333$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
334	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
335	rm -f stamp-h1
336	touch $@
337
338distclean-hdr:
339	-rm -f config.h stamp-h1
340
341# This directory's subdirectories are mostly independent; you can cd
342# into them and run 'make' without going through this Makefile.
343# To change the values of 'make' variables: instead of editing Makefiles,
344# (1) if the variable is set in 'config.status', edit 'config.status'
345#     (which will cause the Makefiles to be regenerated when you run 'make');
346# (2) otherwise, pass the desired values on the 'make' command line.
347$(am__recursive_targets):
348	@fail=; \
349	if $(am__make_keepgoing); then \
350	  failcom='fail=yes'; \
351	else \
352	  failcom='exit 1'; \
353	fi; \
354	dot_seen=no; \
355	target=`echo $@ | sed s/-recursive//`; \
356	case "$@" in \
357	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
358	  *) list='$(SUBDIRS)' ;; \
359	esac; \
360	for subdir in $$list; do \
361	  echo "Making $$target in $$subdir"; \
362	  if test "$$subdir" = "."; then \
363	    dot_seen=yes; \
364	    local_target="$$target-am"; \
365	  else \
366	    local_target="$$target"; \
367	  fi; \
368	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
369	  || eval $$failcom; \
370	done; \
371	if test "$$dot_seen" = "no"; then \
372	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
373	fi; test -z "$$fail"
374
375ID: $(am__tagged_files)
376	$(am__define_uniq_tagged_files); mkid -fID $$unique
377tags: tags-recursive
378TAGS: tags
379
380tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
381	set x; \
382	here=`pwd`; \
383	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
384	  include_option=--etags-include; \
385	  empty_fix=.; \
386	else \
387	  include_option=--include; \
388	  empty_fix=; \
389	fi; \
390	list='$(SUBDIRS)'; for subdir in $$list; do \
391	  if test "$$subdir" = .; then :; else \
392	    test ! -f $$subdir/TAGS || \
393	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
394	  fi; \
395	done; \
396	$(am__define_uniq_tagged_files); \
397	shift; \
398	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
399	  test -n "$$unique" || unique=$$empty_fix; \
400	  if test $$# -gt 0; then \
401	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
402	      "$$@" $$unique; \
403	  else \
404	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
405	      $$unique; \
406	  fi; \
407	fi
408ctags: ctags-recursive
409
410CTAGS: ctags
411ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
412	$(am__define_uniq_tagged_files); \
413	test -z "$(CTAGS_ARGS)$$unique" \
414	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
415	     $$unique
416
417GTAGS:
418	here=`$(am__cd) $(top_builddir) && pwd` \
419	  && $(am__cd) $(top_srcdir) \
420	  && gtags -i $(GTAGS_ARGS) "$$here"
421cscope: cscope.files
422	test ! -s cscope.files \
423	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
424clean-cscope:
425	-rm -f cscope.files
426cscope.files: clean-cscope cscopelist
427cscopelist: cscopelist-recursive
428
429cscopelist-am: $(am__tagged_files)
430	list='$(am__tagged_files)'; \
431	case "$(srcdir)" in \
432	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
433	  *) sdir=$(subdir)/$(srcdir) ;; \
434	esac; \
435	for i in $$list; do \
436	  if test -f "$$i"; then \
437	    echo "$(subdir)/$$i"; \
438	  else \
439	    echo "$$sdir/$$i"; \
440	  fi; \
441	done >> $(top_builddir)/cscope.files
442
443distclean-tags:
444	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
445	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
446
447distdir: $(DISTFILES)
448	$(am__remove_distdir)
449	test -d "$(distdir)" || mkdir "$(distdir)"
450	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
451	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
452	list='$(DISTFILES)'; \
453	  dist_files=`for file in $$list; do echo $$file; done | \
454	  sed -e "s|^$$srcdirstrip/||;t" \
455	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
456	case $$dist_files in \
457	  */*) $(MKDIR_P) `echo "$$dist_files" | \
458			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
459			   sort -u` ;; \
460	esac; \
461	for file in $$dist_files; do \
462	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
463	  if test -d $$d/$$file; then \
464	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
465	    if test -d "$(distdir)/$$file"; then \
466	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
467	    fi; \
468	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
469	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
470	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
471	    fi; \
472	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
473	  else \
474	    test -f "$(distdir)/$$file" \
475	    || cp -p $$d/$$file "$(distdir)/$$file" \
476	    || exit 1; \
477	  fi; \
478	done
479	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
480	  if test "$$subdir" = .; then :; else \
481	    $(am__make_dryrun) \
482	      || test -d "$(distdir)/$$subdir" \
483	      || $(MKDIR_P) "$(distdir)/$$subdir" \
484	      || exit 1; \
485	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
486	    $(am__relativize); \
487	    new_distdir=$$reldir; \
488	    dir1=$$subdir; dir2="$(top_distdir)"; \
489	    $(am__relativize); \
490	    new_top_distdir=$$reldir; \
491	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
492	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
493	    ($(am__cd) $$subdir && \
494	      $(MAKE) $(AM_MAKEFLAGS) \
495	        top_distdir="$$new_top_distdir" \
496	        distdir="$$new_distdir" \
497		am__remove_distdir=: \
498		am__skip_length_check=: \
499		am__skip_mode_fix=: \
500	        distdir) \
501	      || exit 1; \
502	  fi; \
503	done
504	-test -n "$(am__skip_mode_fix)" \
505	|| find "$(distdir)" -type d ! -perm -755 \
506		-exec chmod u+rwx,go+rx {} \; -o \
507	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
508	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
509	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
510	|| chmod -R a+r "$(distdir)"
511dist-gzip: distdir
512	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
513	$(am__post_remove_distdir)
514
515dist-bzip2: distdir
516	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
517	$(am__post_remove_distdir)
518
519dist-lzip: distdir
520	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
521	$(am__post_remove_distdir)
522
523dist-xz: distdir
524	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
525	$(am__post_remove_distdir)
526
527dist-tarZ: distdir
528	@echo WARNING: "Support for shar distribution archives is" \
529	               "deprecated." >&2
530	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
531	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
532	$(am__post_remove_distdir)
533
534dist-shar: distdir
535	@echo WARNING: "Support for distribution archives compressed with" \
536		       "legacy program 'compress' is deprecated." >&2
537	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
538	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
539	$(am__post_remove_distdir)
540
541dist-zip: distdir
542	-rm -f $(distdir).zip
543	zip -rq $(distdir).zip $(distdir)
544	$(am__post_remove_distdir)
545
546dist dist-all:
547	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
548	$(am__post_remove_distdir)
549
550# This target untars the dist file and tries a VPATH configuration.  Then
551# it guarantees that the distribution is self-contained by making another
552# tarfile.
553distcheck: dist
554	case '$(DIST_ARCHIVES)' in \
555	*.tar.gz*) \
556	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
557	*.tar.bz2*) \
558	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
559	*.tar.lz*) \
560	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
561	*.tar.xz*) \
562	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
563	*.tar.Z*) \
564	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
565	*.shar.gz*) \
566	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
567	*.zip*) \
568	  unzip $(distdir).zip ;;\
569	esac
570	chmod -R a-w $(distdir)
571	chmod u+w $(distdir)
572	mkdir $(distdir)/_build $(distdir)/_inst
573	chmod a-w $(distdir)
574	test -d $(distdir)/_build || exit 0; \
575	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
576	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
577	  && am__cwd=`pwd` \
578	  && $(am__cd) $(distdir)/_build \
579	  && ../configure \
580	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
581	    $(DISTCHECK_CONFIGURE_FLAGS) \
582	    --srcdir=.. --prefix="$$dc_install_base" \
583	  && $(MAKE) $(AM_MAKEFLAGS) \
584	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
585	  && $(MAKE) $(AM_MAKEFLAGS) check \
586	  && $(MAKE) $(AM_MAKEFLAGS) install \
587	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
588	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
589	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
590	        distuninstallcheck \
591	  && chmod -R a-w "$$dc_install_base" \
592	  && ({ \
593	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
594	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
595	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
596	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
597	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
598	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
599	  && rm -rf "$$dc_destdir" \
600	  && $(MAKE) $(AM_MAKEFLAGS) dist \
601	  && rm -rf $(DIST_ARCHIVES) \
602	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
603	  && cd "$$am__cwd" \
604	  || exit 1
605	$(am__post_remove_distdir)
606	@(echo "$(distdir) archives ready for distribution: "; \
607	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
608	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
609distuninstallcheck:
610	@test -n '$(distuninstallcheck_dir)' || { \
611	  echo 'ERROR: trying to run $@ with an empty' \
612	       '$$(distuninstallcheck_dir)' >&2; \
613	  exit 1; \
614	}; \
615	$(am__cd) '$(distuninstallcheck_dir)' || { \
616	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
617	  exit 1; \
618	}; \
619	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
620	   || { echo "ERROR: files left after uninstall:" ; \
621	        if test -n "$(DESTDIR)"; then \
622	          echo "  (check DESTDIR support)"; \
623	        fi ; \
624	        $(distuninstallcheck_listfiles) ; \
625	        exit 1; } >&2
626distcleancheck: distclean
627	@if test '$(srcdir)' = . ; then \
628	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
629	  exit 1 ; \
630	fi
631	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
632	  || { echo "ERROR: files left in build directory after distclean:" ; \
633	       $(distcleancheck_listfiles) ; \
634	       exit 1; } >&2
635check-am: all-am
636check: check-recursive
637all-am: GNUmakefile config.h
638installdirs: installdirs-recursive
639installdirs-am:
640install: install-recursive
641install-exec: install-exec-recursive
642install-data: install-data-recursive
643uninstall: uninstall-recursive
644
645install-am: all-am
646	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
647
648installcheck: installcheck-recursive
649install-strip:
650	if test -z '$(STRIP)'; then \
651	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
652	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
653	      install; \
654	else \
655	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
656	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
657	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
658	fi
659mostlyclean-generic:
660
661clean-generic:
662
663distclean-generic:
664	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
665	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
666
667maintainer-clean-generic:
668	@echo "This command is intended for maintainers to use"
669	@echo "it deletes files that may require special tools to rebuild."
670clean: clean-recursive
671
672clean-am: clean-generic mostlyclean-am
673
674distclean: distclean-recursive
675	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
676	-rm -f GNUmakefile
677distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
678
679dvi: dvi-recursive
680
681dvi-am:
682
683html: html-recursive
684
685html-am:
686
687info: info-recursive
688
689info-am:
690
691install-data-am:
692
693install-dvi: install-dvi-recursive
694
695install-dvi-am:
696
697install-exec-am:
698
699install-html: install-html-recursive
700
701install-html-am:
702
703install-info: install-info-recursive
704
705install-info-am:
706
707install-man:
708
709install-pdf: install-pdf-recursive
710
711install-pdf-am:
712
713install-ps: install-ps-recursive
714
715install-ps-am:
716
717installcheck-am:
718
719maintainer-clean: maintainer-clean-recursive
720	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
721	-rm -rf $(top_srcdir)/autom4te.cache
722	-rm -f GNUmakefile
723maintainer-clean-am: distclean-am maintainer-clean-generic
724
725mostlyclean: mostlyclean-recursive
726
727mostlyclean-am: mostlyclean-generic
728
729pdf: pdf-recursive
730
731pdf-am:
732
733ps: ps-recursive
734
735ps-am:
736
737uninstall-am:
738
739.MAKE: $(am__recursive_targets) all install-am install-strip
740
741.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
742	am--refresh check check-am clean clean-cscope clean-generic \
743	cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
744	dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
745	distcheck distclean distclean-generic distclean-hdr \
746	distclean-tags distcleancheck distdir distuninstallcheck dvi \
747	dvi-am html html-am info info-am install install-am \
748	install-data install-data-am install-dvi install-dvi-am \
749	install-exec install-exec-am install-html install-html-am \
750	install-info install-info-am install-man install-pdf \
751	install-pdf-am install-ps install-ps-am install-strip \
752	installcheck installcheck-am installdirs installdirs-am \
753	maintainer-clean maintainer-clean-generic mostlyclean \
754	mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
755	uninstall-am
756
757
758# Tell versions [3.59,3.63) of GNU make to not export all variables.
759# Otherwise a system limit (for SysV at least) may be exceeded.
760.NOEXPORT:
761